Summary: PHP plugin for kdevelop
Name: kdevelop4-php
Version: 1.4.0
Release: 1
Source0: http://fr2.rpmfind.net/linux/KDE/stable/kdevelop/4.4.0/src/kdevelop-php-%{version}.tar.bz2
License: GPLv2+
Group: Development/Other
Url: http://www.kdevelop.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: kdelibs4-devel
BuildRequires: kdevplatform4-devel >= 4:1.4.0
BuildRequires: kdevelop-pg-qt-devel
Requires: kdevelop4 >= 4:4.2.3

%description
This plugin adds PHP language support (including classview and code-completion)
to KDevelop.

%files -f kdevphp.lang
%defattr(-,root,root)
%_kde_libdir/kde4/kdevphplanguagesupport.so
%_kde_libdir/libkdev4phpcompletion.so
%_kde_libdir/libkdev4phpduchain.so
%_kde_libdir/libkdev4phpparser.so
%_kde_appsdir/kdevappwizard/templates/simple_phpapp.tar.bz2
%_kde_appsdir/kdevphpsupport/phpfunctions.php
%_kde_services/kdevphpsupport.desktop

#--------------------------------------------------------------------

%prep
%setup -qn kdevelop-php-%{version}

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%{makeinstall_std} -C build

%find_lang kdevphp

%clean
rm -rf %{buildroot}


%changelog
* Thu Nov 01 2012 Crispin Boylan <crisb@mandriva.org> 1.4.0-1
+ Revision: 821584
- New release

* Thu Apr 26 2012 Crispin Boylan <crisb@mandriva.org> 1.3.1-1
+ Revision: 793542
- New release

* Sat Jun 25 2011 Funda Wang <fwang@mandriva.org> 1.2.3-1
+ Revision: 687196
- new version 1.2.3

* Wed Apr 06 2011 Funda Wang <fwang@mandriva.org> 1.2.2-1
+ Revision: 651073
- new version 1.2.2

* Tue Apr 05 2011 Funda Wang <fwang@mandriva.org> 1.2.1-1
+ Revision: 650468
- new verrsion 1.2.1

* Sun Feb 27 2011 Funda Wang <fwang@mandriva.org> 1.2.0-2
+ Revision: 640446
- rebuild to obsolete old packages

* Mon Jan 24 2011 Funda Wang <fwang@mandriva.org> 1.2.0-1
+ Revision: 632466
- new verison 1.2.0

* Mon Jan 10 2011 Funda Wang <fwang@mandriva.org> 1.1.90-1
+ Revision: 630842
- new verison 1.1.90

* Wed Dec 29 2010 Funda Wang <fwang@mandriva.org> 1.1.81-1mdv2011.0
+ Revision: 625814
- new version 1.1.81

* Fri Dec 17 2010 Funda Wang <fwang@mandriva.org> 1.1.80-1mdv2011.0
+ Revision: 622558
- new version 1.1.80

* Wed Oct 27 2010 Colin Guthrie <cguthrie@mandriva.org> 1.1-1.git20101027.1mdv2011.0
+ Revision: 589635
- Update to git snapshot to match kdevelop4
- Add text/x-php mimetype so it actually works.

* Sun Sep 05 2010 Funda Wang <fwang@mandriva.org> 1.0.2-1mdv2011.0
+ Revision: 576055
- new version 1.0.2

* Sun Jul 18 2010 Funda Wang <fwang@mandriva.org> 1.0.1-1mdv2011.0
+ Revision: 554770
- new version 1.0.1

* Thu Apr 29 2010 Luc Menut <lmenut@mandriva.org> 1.0.0-3mdv2010.1
+ Revision: 541034
- fix typo in requires

  + Funda Wang <fwang@mandriva.org>
    - no more betaver

* Thu Apr 29 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1.0.0-2mdv2010.1
+ Revision: 540752
- Rebuild

  + Funda Wang <fwang@mandriva.org>
    - BR kdevelop-pg-qt-devel
    - 1.0.0 final

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 0-0.rc1.1mdv2010.1
+ Revision: 531397
- rc1

* Mon Dec 14 2009 Funda Wang <fwang@mandriva.org> 0-0.beta2.1mdv2010.1
+ Revision: 478418
- fix file list

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Update to Beta 2

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 0-0.beta1.1mdv2010.1
+ Revision: 461773
- import kdevelop4-php

